Supported operating systems and browser versions

ebrary’s reader requires recent versions of operating systems and browsers as follows:

Supported operating systems:

  • Windows:  7, 8, 8.1
  • Windows 10 is currently certified for the ebrary Reader only (August 2016).  Other features such as search, bookshelf and admin tools have not yet been certified for Windows 10.
  • OS X:  10.8 (Mountain Lion) and 10.9 (Mavericks)

Note that Windows RT is not supported.

Supported browsers: The browser versions we support parallel the frequency with which the browsers auto-update.

  • Chrome:  latest version
  • FireFox:  latest two versions
  • Safari:  latest two versions
    • For Safari, “Private Browsing” does not work when using proxied links
  • Internet Explorer:  versions 9, 10 and 11 only. Note that  the “Allow font downloads” policy setting in Internet Explorer needs to be enabled for correctly displaying some navigation  icons.
    • For IE 9, make sure compatibility mode is turned off
    • IE 8 is not supported with the new reader as its underlying architecture is limiting when it comes to applying modern UX web designs and coding techniques.

Note that browser add-ons/extensions that alter or add a suffix to ebrary URLs do not work with ebrary.

  • Example:  “Dragon NaturallySpeaking” browser extension